Subject: Re: Job | Tech Support Remote Screening
From: Igoor Gnaneshwar <[email-masked]>
To: [email-masked]
Date: Tue, 24 Nov 2020 11:35:55 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

525 Applicants

View All

Igoor Gnaneshwar
I am looking for BPO Non Voice because I got one year experience in non voice BPO sector, so, preferably I am more comfortable to work in Non Voice.

Shortlist

Reject

Current Designation Senior Representative, Operations
Current Company Concentrix Daksh services pvt ltd
Notice Period 1 Months
Previous Designation practitioner
Previous Company Concentrix daksh servics pvt ltd

Contact Details
Mobile:

Exp
5 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Bengaluru / Bangalore
Education
MBA/PGDM
UBDT College of Engineering
B.Com
MSB College of Arts and Commerce
Key Skills
good communication, excel knowledge, flexible to work in any kind of situation

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem